/**
*U-NAS Dispatch App
* Implementing U-NAS Dispatch App
*/
var UNASDISPATCHApp = UNASDISPATCHApp || {};  //Define U-NAS Dispatch App namespace.
/**
*Constructor UNAS App
*/
UNASDISPATCHApp.App = function () {
    this.id = 'U-NAS Dispatch';
    this.name = 'U-NAS Dispatch';
    this.version = '6.0.8';
    this.active = false;
    this.menuIcon = '/apps/unas-dispatch/images/logo.png?v=6.0.8&';
    this.shortcutIcon = '/apps/unas-dispatch/images/logo.png?v=6.0.8&';
    this.entryUrl = "/apps/unas-dispatch/unas-dispatch.html?v=6.0.8&";
    //this.entryHelpUrl = '/apps/unas-dispatch-sever/unas-dispatch_help.html?v=6.0.8&';
    var self = this;
    this.UNASDispatchAppWindow = function () { //create app window
    	if(UNAS.CheckAppState('U-NAS Dispatch')){
    		return false;
    	}
    	self.window=new MUI.Window({
            id: 'UNASDispatchAppWindow',
            title: UNAS._('U-NAS Dispatch'),
            icon: '/apps/unas-dispatch/images/logo_small.png?v=6.0.8&',
            loadMethod: 'xhr',
            width: 750,
            height: 560,
            maximizable: false,
            resizable: true,
            scrollbars: false,
            resizeLimit: { 'x': [700, 2000], 'y': [560, 1500] },
            contentURL: '/apps/unas-dispatch/unas-dispatch.html?v=6.0.8&',
            require: { css: ['/apps/unas-dispatch/css/unas-dispatch.css'] },
            onBeforeBuild: function(){UNAS.SetAppOpenedWindow("U-NAS Dispatch",'UNASDispatchAppWindow')}
     	});
    };
    this.UNASDispatchUninstall = function () {
    	UNAS.RemoveDesktopShortcut('U-NAS Dispatch');
    	UNAS.RemoveMenu('U-NAS Dispatch');
    	UNAS.RemoveAppFromGroups('U-NAS Dispatch', 'Help');
        UNAS.RemoveAppFromGroups('U-NAS Dispatch', 'ControlPanel');
    	UNAS.RemoveAppFromApps('U-NAS Dispatch');
    };
    new UNAS.Menu('UNAS_App_SystemTools_Menu', this.name, this.menuIcon, 'U-NAS Dispatch', '', this.UNASDispatchAppWindow);
    new UNAS.DesktopShortcut(this.name, this.shortcutIcon, 'U-NAS Dispatch', this.UNASDispatchAppWindow);
    //new UNAS.RegisterToAppGroup(this.name, 'Help', {'Type' : 'SystemTools', 'Laction' : 1, "Icon": this.shortcutIcon, "Url": this.entryHelpUrl},{});
    new UNAS.RegisterToAppGroup(this.name, 'ControlPanel', {'Type' : 'SystemTools', 'Laction' : 1, "Icon": this.shortcutIcon, "Url": this.entryUrl},{});
    var OnChangeLanguage = function (e) {
    	UNAS.SetMenuTitle('U-NAS Dispatch', UNAS._('U-NAS Dispatch')); //translate menu
        UNAS.SetShortcutTitle('U-NAS Dispatch', UNAS._('U-NAS Dispatch'));
        if (typeof self.window !== 'undefined') {
        	UNAS.SetWindowTitle('UNASDispatchAppWindow', UNAS._('U-NAS Dispatch'));
        }
    };
    UNAS.LoadTranslation('/apps/unas-dispatch/languages/Translation?v='+this.version, OnChangeLanguage);
    UNAS.Event.addEvent('ChangeLanguage', OnChangeLanguage);
    UNAS.CreateApp(this.name, this.shortcutIcon, this.UNASDispatchAppWindow, this.UNASDispatchUninstall);
};

new UNASDISPATCHApp.App();
